(function ($) {
    $.block_location_default = function (element, options) {
        let defaults = {
        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
        };
        plugin.example_function = function () {
        }
        plugin.init();
    }

    $.fn.block_location_default = function (options) {

        return this.each(function () {

            if (undefined == $(this).data('block_location_default')) {
                let plugin = new $.block_location_default(this, options);
                $(this).data('block_location_default', plugin);
            }
        });
    }
})(jQuery);
